<?php

namespace domain\User\UserGroup;

use domain\_\AbstractRepositoryQuery;

class UserGroupRepositoryQuery extends AbstractRepositoryQuery
{
    protected UserGroupDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(UserGroupDefinition::class);
    }

    public function filterByName(string $name): self
    {
        $this->andWhere(['name' => $name]);
        return $this;
    }
}